package com.hzya.frame.ttxofs.dto.ofsBaseSearch;

import com.hzya.frame.ttxofs.basics.ReturnMessageBasics;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * OFS SKU查询返回
 */
@Data
public class OFSSKUSearchResponse extends ReturnMessageBasics {
    private List<OFSSKU> skuList;

    @Data
    public static class OFSSKU{
        private int id;
        private String clientCode;
        private String companyCode;
        private String code;
        private String name;
        private int listPrice;
        private int netPrice;
        private int msrPrice;
        private int buyPrice;
        private int status;
        private Date created;
        private String createdBy;
        private Date lastUpdated;
        private String lastUpdatedBy;
    }
}
