package com.hzya.frame.u9c.bom.main.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.u9c.bom.main.entity.VHzyaBomMainEntity;
import com.hzya.frame.u9c.bom.main.dao.IVHzyaBomMainDao;
import com.hzya.frame.u9c.bom.main.service.IVHzyaBomMainService;
import com.hzya.frame.u9c.constant.U9Constant;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import javax.annotation.Resource;
import com.hzya.frame.basedao.service.impl.BaseService;

import java.util.List;

/**
 * (VHzyaBomMain)表服务实现类
 *
 * @author xiang2lin
 * @since 2023-11-01 15:24:00
 */
@Service("vHzyaBomMainService")
public class VHzyaBomMainServiceImpl extends BaseService<VHzyaBomMainEntity, String> implements IVHzyaBomMainService {
     
    private IVHzyaBomMainDao vHzyaBomMainDao;
    
    @Autowired
	public void setVHzyaBomMainDao(IVHzyaBomMainDao dao) {
		this.vHzyaBomMainDao = dao;
		this.dao = dao;
	}

	@DS(U9Constant.DATA_SOURCE_CODE)
	@Override
	public List<VHzyaBomMainEntity> query2Reabam(VHzyaBomMainEntity entity) throws Exception {
		List<VHzyaBomMainEntity> list = vHzyaBomMainDao.queryList(entity,"VHzyaBomMainEntity_entity_list_base_reabam");
		return list;
	}
}
