package com.hzya.frame.plugin.lets.u8cdto;

import com.hzya.frame.plugin.lets.entity.*;
import com.hzya.frame.ttxofs.dto.ofssaleorderoutsearch.DetailsDto;
import com.hzya.frame.ttxofs.dto.ofssaleorderoutsearch.HeaderDto;
import com.hzya.frame.ttxofs.dto.returngoodsearch.ReturnGoodSearchDetailsDto;
import com.hzya.frame.ttxofs.dto.returngoodsearch.ReturnGoodSearchHeaderDto;
import lombok.Data;

import java.util.List;

/**
 * @Author：liuyang
 * @Package：com.hzya.frame.plugin.lets.u8cdto
 * @Project：kangarooDataCenterV3
 * @name：OrderToBHeaderDto
 * @Date：2024年8月15日 14:52:34
 * @Filename：OrderToBHeaderDto
 */
@Data
public class OrderToBHeaderDto {

    /**
     * 表头公司（销售公司）、视为发货公司
     */
    private BdCorpEntity bdCorpEntity;

    /**
     * 发货库存组织
     */
    private BdCalbodyEntity bdCalbodyEntity;

    /**
     * 入库仓库
     */
    private BdStordocEntity bdStordocEntity;

    /**
     * 收货库存组织
     */
//    private BdCalbodyEntity bdCalbodyEntity1;

    /**
     * 收货仓库
     */
//    private BdStordocEntity bdStordocEntity1;

    /**
     * 销售组织
     */
    private BdSalestruEntity bdSalestruEntity;


    /**
     * 业务部门
     */
    private BdDeptdocEntity bdDeptdocEntity;

    /**
     * 客商管理档案
     */
    private BdCumandocEntity bdCumandocEntity;

    /**
     * 客商基本档案
     */
    private BdCubasdocEntity bdCubasdocEntity;

    /**
     * 发货公司
     */
    private BdCorpEntity deliverGoodsCorp;

    /**
     * U8C平台档案
     */
    private BdDefdocEntity platformArchives;

    /**
     * 店铺档案
     */
    private BdDefdocEntity shopArchives;

    /**
     * TOB售后入库单表头
     */
    private ReturnGoodSearchHeaderDto header;

    /**
     * TOB售后入库单表体
     */
    private List<ReturnGoodSearchDetailsDto> details;
}